Page MenuHome

Remove quicktime support
ClosedPublic

Authored by Aaron Carlisle (Blendify) on Nov 5 2016, 2:17 PM.

Details

Summary

It has been deprecated since at least macOS 10.9 and fully removed in 10.12.

I am unsure if we should remove it only in 2.8. But you cannot build blender with it supported when using a modern xcode version anyway so I would tend towards just removing it also for 2.79 if that ever happens.

Diff Detail

Repository
rB Blender
Branch
arcpatch-D2333
Build Status
Buildable 723
Build 723: arc lint + arc unit

Event Timeline

Martijn Berger (juicyfruit) retitled this revision from to Remove quicktime. It has been deprecated since at least macOS 10.9 and fully removed in 10.12.Nov 5 2016, 2:17 PM
Martijn Berger (juicyfruit) updated this object.
Martijn Berger (juicyfruit) updated this revision to Diff 7732.
Martijn Berger (juicyfruit) retitled this revision from Remove quicktime. It has been deprecated since at least macOS 10.9 and fully removed in 10.12 to Remove quicktime support.Nov 5 2016, 2:19 PM
Martijn Berger (juicyfruit) updated this object.
Bastien Montagne (mont29) accepted this revision.

Didn’t check the code itself (trust you here ;) ), but we should definitively get rid of this oldy indeed!

@Brecht Van Lommel (brecht) may also have an opinion here, as a loyal OSX user? :P

This revision is now accepted and ready to land.Dec 28 2016, 2:22 PM

imb_ext_image_qt and imb_ext_movie_qt can be removed as well.

Personally I'm fine with removing this code from both branches.

CMakeLists.txt
338

The latest version of this CMakeLists.txt as has code to disable WITH_CODEC_QUICKTIME with the 10.12+ SDK that should be removed, but this patch seems to be against an older version.

Poke, is this too late to be merged in 2.79? Should be safe considering all the code is ifdefed

Aaron Carlisle (Blendify) updated this revision to Diff 9017.EditedJul 18 2017, 7:59 PM
  • Remove Doxygen comment
  • Remove Py interface
  • Remove imb_ext_image_qt and imb_ext_movie_qt
  • Remove quicktime check
  • Remove Quicktime settings dna
Aaron Carlisle (Blendify) marked an inline comment as done.
Aaron Carlisle (Blendify) requested review of this revision.
Brecht Van Lommel (brecht) requested changes to this revision.Jul 25 2017, 12:28 AM

There's still usage of qtcodecdata in BKE_scene.h, scene.c, readfile.c, writefile.c. Not sure how it can compile without updating those files.

Let's leave this for after the 2.79 release in any case.

source/blender/makesdna/DNA_scene_types.h
552–553

These should be removed.

This revision now requires changes to proceed.Jul 25 2017, 12:28 AM
Aaron Carlisle (Blendify) updated this revision to Diff 9026.
  • Quicktime: Remove qtcodecdata
Aaron Carlisle (Blendify) marked an inline comment as done.Jul 25 2017, 4:39 AM

Remove some leftover rna/dna/py stuff

Brecht Van Lommel (brecht) requested changes to this revision.Jul 26 2017, 7:36 PM
Brecht Van Lommel (brecht) added inline comments.
release/scripts/startup/bl_ui/properties_render.py
468

This should not have been removed, it's for encoding into quicktime .mov format with ffmpeg.

source/blender/makesdna/DNA_scene_types.h
1695

Add void *pad4; below this line to fix DNA alignment on 32 bit.

source/blender/makesrna/intern/rna_scene.c
5408

This should not have been removed, it's for encoding into quicktime .mov format with ffmpeg.

This revision now requires changes to proceed.Jul 26 2017, 7:36 PM
Aaron Carlisle (Blendify) updated this revision to Diff 9037.
  • Address Review

Looks good to me now.

This revision is now accepted and ready to land.Jul 26 2017, 11:59 PM
This revision was automatically updated to reflect the committed changes.

I am still stubborn to ask you again, again again until you put back .mov and .mp4 for Macintosh please do it. I am very frustrate they support .avi for Windows. Please do it put back .mov and .mp4 thanks.

@Kent Davis (mac4kent) rendering to quicktime and mp4 formats is still possible this change removes Apples depreciated system for outputting these file formats. The same results are possible using blender's implementation of FFmpeg.